{ buildNeovimPlugin, fetchFromGitHub }:

[
  (buildNeovimPlugin {
    name = "vim-sleuth";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-sleuth";
      rev = "1cc4557420f215d02c4d2645a748a816c220e99b";
      sha256 = "0l8mw3r6lb6q1p3afvf5psp6cg8vdi84b5j8whmdm83f4mynsn8a";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-fugitive";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-fugitive";
      rev = "2febbe1f00be04f16daa6464cb39214a8566ec4b";
      sha256 = "0njzhsn5xlwjcgr6nkm8pds4rby46dldl0b25dwj2bj6nyydaa23";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-rhubarb";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-rhubarb";
      rev = "cad60fe382f3f501bbb28e113dfe8c0de6e77c75";
      sha256 = "1c456ypxgjnmbprjl79kvg5vm26nws0csw8fbs6gmdr21m3x1p4w";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-surround";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-surround";
      rev = "3d188ed2113431cf8dac77be61b842acb64433d9";
      sha256 = "0lfnhwcgfxcg4n59xjxc29fhj08jhdv41l8zpx0fjkx796v3k48d";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-abolish";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-abolish";
      rev = "aa3428b734ddbd0105615832843f619774a6871e";
      sha256 = "0dnv1ixhzrgafd7kqpx8hp0r1snyqfxw80psnbxsr6qcwzawb2da";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "undotree";
    src = fetchFromGitHub {
      owner = "mbbill";
      repo = "undotree";
      rev = "1a23ea84bd02c34f50d8e10a8b4bfc89597ffe4e";
      sha256 = "00r0jnsrqdfns08ndj3xhwfx3yf65dgsin9pihad64gj9fmwvbv3";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "treesj";
    src = fetchFromGitHub {
      owner = "Wansmer";
      repo = "treesj";
      rev = "15a2262dfcd7848fbafa5afea8adec3941b83c12";
      sha256 = "1jv13wvg6jcca3cw5swirna0jq5m3mj0pq7q113cpy11hd74bzh7";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "telescope.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope.nvim";
      rev = "dce1156ca103b8222e4abbfc63f9c6887abf5ec6";
      sha256 = "194jkn7a4xh5733n8n1n8n9mwibvadkxj6vw44xvwd01w0db6zhx";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "telescope-fzf-native.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope-fzf-native.nvim";
      rev = "fab3e2212e206f4f8b3bbaa656e129443c9b802e";
      sha256 = "0paiaag3aazfv8rr0i43maq34pn3iga3lkjyllhfysqvdm8jk50f";
    };

    dontBuild = false;
  })
  (buildNeovimPlugin {
    name = "plenary.nvim";
    src = fetchFromGitHub {
      owner = "nvim-lua";
      repo = "plenary.nvim";
      rev = "1c7e3e6b0f4dd5a174fcea9fda8a4d7de593b826";
      sha256 = "12hp9a2q80hg93ynfa97v03fmxqwv4d6f1yb92bi6ih3kbjyjsji";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "mini.nvim";
    src = fetchFromGitHub {
      owner = "echasnovski";
      repo = "mini.nvim";
      rev = "91017a96693408ef96efe9a2513c6ace0a87dc8d";
      sha256 = "0xhc2npbpz7rhlis9cchda5pg7j5qkfxqb9qjsk86cxga1ma0c8r";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "gitsigns.nvim";
    src = fetchFromGitHub {
      owner = "lewis6991";
      repo = "gitsigns.nvim";
      rev = "addd6e174a85fc1c4007ab0b65d77e6555b417bf";
      sha256 = "09gnk8szbdxc26g46hyjw6zb41i9nswz7pxcadmx9x2f0j9sma3m";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "nvim-lspconfig";
    src = fetchFromGitHub {
      owner = "neovim";
      repo = "nvim-lspconfig";
      rev = "d228bcf7cd94611929482a09e114a42c41fe81a8";
      sha256 = "0ad4yb1j6pizvy3fa4d9b7lzq5nv2pipb19fg6wz6xv62xymdly6";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "nvim-treesitter-textobjects";
    src = fetchFromGitHub {
      owner = "nvim-treesitter";
      repo = "nvim-treesitter-textobjects";
      rev = "2fb97bd6c53d78517d2022a0b84422c18ce5686e";
      sha256 = "0wwzmkkdw3n2agxsclaniblwfjaqwav7vyd5w0fjcqvqjim4jd9d";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "typescript.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "typescript.nvim";
      rev = "f66d4472606cb24615dfb7dbc6557e779d177624";
      sha256 = "1hm87jpscv250x8hv3vacw0sdhkwa81x21cxyvc6nf2vsbj5hx9w";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "null-ls.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "null-ls.nvim";
      rev = "7bd74a821d991057ca1c0ca569d8252c4f89f860";
      sha256 = "0frzqsgca6lsracz1ybz1zj9150clgs2y7xj6nkgmzn2f8h20kr2";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "fidget.nvim";
    src = fetchFromGitHub {
      owner = "j-hui";
      repo = "fidget.nvim";
      rev = "44585a0c0085765195e6961c15529ba6c5a2a13b";
      sha256 = "112mjmy2nrqwj3l9dp3gzxsygaidcdrz2l6vzn27k1a57a7jyb8l";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "sonokai";
    src = fetchFromGitHub {
      owner = "sainnhe";
      repo = "sonokai";
      rev = "e2e89497f178bec568a0a43cda651f0429ec8ec1";
      sha256 = "0dh5dsn8znhxsdr9plxa2mchlnfbgrvalc5pnz2wdsc2adz37521";
    };

    dontBuild = true;
  })
]
